Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues
Class ActionType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.BindingType
                  org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
                      org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.MethodBindingType
                          org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ActionType

All Implemented Interfaces:
  IMetaDataEnabledFeature, IPossibleValues, ITypeDescriptor, IValidELValues, IValidValues

public class ActionType
extends MethodBindingType
implements IPossibleValues

Meta-data processing type representing an "action" attribute

Field Summary
`protected static org.eclipse.jface.resource.ImageDescriptor` | `MISSING_IMAGE`

Fields inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
`RUNTIME_PARAMS_TYPES, RUNTIME_RETURN_TYPE, RUNTIME_SETTER_REQUIRED`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Constructor Summary
`ActionType()`

Method Summary
`java.util.List` | `getPossibleValues()`
`boolean` | `isValidValue(java.lang.String value)` Non-EL values are invalid for method bound attribute values

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.MethodBindingType
`getExpectedRuntimeType`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.internal.provisional.attributevalues.ExpressionBindingType
`getParams, getReturnType, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractRootTypeDescriptor
`findMetaDataEnabledFeaturesForThisType, getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.internal.provisional.AbstractMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getCMAttributePropertyValue, getCMAttributePropertyValues, getCMSmallIcon, getImage, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features.IValidValues
`getValidationMessages`

Field Detail

### MISSING_IMAGE

    protected static final org.eclipse.jface.resource.ImageDescriptor MISSING_IMAGE

Constructor Detail

### ActionType

    public ActionType()

Method Detail

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Description copied from class: `MethodBindingType`
  Non-EL values are invalid for method bound attribute values

  Specified by:
    `isValidValue` in interface `IValidValues`
  Overrides:
    `isValidValue` in class `MethodBindingType`
  See Also:
    `IValidValues.isValidValue(java.lang.String)`

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD